<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default {
  name: 'App',
  lastpath: '',
  watch: {
    $route(to, from) {
      if (from.path != '/large' && from.path != '/') {
        // var  = ''
        if (to.path == '/large') {
          console.log(from.path);
          
          this.$router.push({ path: from.path })
          // '/dpdv'
          window.open( '/#/dpdv');
          // window.open('http://39.106.210.13:8084/#/large');
          // window.open('http://localhost:8084/#/large');
        } else {

          this.lastpath = to.fullPath
        }
      }
    }
  },
}


</script>
<style lang="scss">

.el-popover {
  // height: 200px;
  // overflow: auto;
  position: absolute;
  background: rgb(8, 17, 56) !important;
  min-width: 150px;
  border-radius: 4px;
  border: 0;
  padding: 12px;
  z-index: 2000;
  color: #606266;
  line-height: 1.4;
  text-align: justify;
  font-size: 14px;
  -webkit-box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  word-break: break-all;
  .el-table__body tr:hover>td {
  background-color: transparent !important;
}
}

//修改title颜色
.el-popover__title {
  display: flex;
  justify-content: center;
  /* 水平居中 */
  align-items: center;
  /* 垂直居中 */
  //   height: 90vh;           /* 容器高度 */
  color: white;
}

/* 鼠标悬浮后的设置 */
.monitor_left_bnt:hover {
  color: #ffffff;
  text-decoration: underline;
}

/* 鼠标悬浮后的设置 */
.standard_left_bnt:hover {
  color: #ffffff;
  text-decoration: underline;
}

.offline_left_bnt:hover {
  color: #ffffff;
  text-decoration: underline;
}




//修改下面的小三角，属性名根据组件的placement位置做相应修改
// .monitor-yt-popover .popper__arrow::after {
//   border-top-color: #090d29 !important;
// }
.dptable.el-table th.el-table__cell.is-leaf,
.dptable.el-table td.el-table__cell {
  border-bottom: 0;
}

/* 定义滚动容器的滚动条样式 */
.el-table__body-wrapper::-webkit-scrollbar {

  width: 5px;
  /* 定义滚动条的宽度 */
  height: 10px;
  /* 定义滚动条的高度 */
}

/* 定义滚动条滑块的样式 */
.el-table__body-wrapper::-webkit-scrollbar-thumb {
  background-color: #8e979b !important;
  /* 定义滑块的颜色 */
  border-radius: 5px;
  /* 定义滑块的圆角 */
}


//去除表头轨道
.el-table th.gutter {
  display: none !important;
  //   width: 100px !important;
}

.dptable.el-table {
  position: relative;
  overflow: hidden;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-box-flex: 1;
  -ms-flex: 1;
  flex: 1;
  width: 100%;
  max-width: 100%;
  background-color: rgb(8, 17, 56) !important;
  font-size: 14px;
  color: #B2C9EE;
}

.dptable.el-table th.el-table__cell {
  overflow: hidden;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  background-color: rgb(8, 17, 56) !important;
}

// 头部样式
.dptable.el-table th {
  background-color: rgb(8, 17, 56);
  color: #fff;
}

// 表头边框
.dptable.el-table tr {
  background-color: transparent !important;
}

// 内容行样色
.dptable.el-table__row {
  background-color: rgb(14, 27, 71) !important;
  color: #B2C9EE;
}

/* // 去掉最下面的那一条线  */
.dptable.el-table::before {
  height: 0px;
}
// .logradio.el-radio__input {
//     white-space: nowrap;
//     cursor: pointer;
//     outline: none;
//     display: inline-block;
//     line-height: 1;
//     position: relative;
//     vertical-align: middle;
//     top: -5px;
//     width: 10px;
// }
// .el-radio__input {
//     white-space: nowrap;
//     cursor: pointer;
//     outline: none;
//     display: inline-block;
//     line-height: 1;
//     position: relative;
//     vertical-align: middle;
//     top: -5px;
//     width: 10px;
// }
#app {

  #app .sidebar-container .el-submenu .el-menu-item,
  #app .sidebar-container .nest-menu .el-submenu>.el-submenu__title {
    min-width: 210px !important;
    // background-color: #1f2d3d !important;
  }
}
</style>